
Redmine - Patch #258

Textilize document snippet on overview and activity page

2008-01-29 05:15 - Panta Rhei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Description

Small patch for adding formattet Text in overwies.

See Ticket here: http://rubyforge.org/tracker/index.php?func=detail&aid=17583&group_id=1850&atid=7160

Related issues:

Related to Redmine - Feature #202: Textilization of Documents, News and Timel... New

Related to Redmine - Feature #3527: Activity List should wiki parse summaries New 2009-06-23

Related to Redmine - Defect #26321: Activity view should not show raw text New

History

#1 - 2008-01-29 05:25 - Panta Rhei

Sorry, the first file contains too much. ;)

#2 - 2008-01-29 05:31 - Michael Pirogov

Patch for full textilization:

Index: documents/_document.rhtml =================================================================

--- documents/_document.rhtml   (revision 1104)

++ documents/_document.rhtml   (working copy)

@ -1,3 +1,5 @

<p><%= link_to h(document.title), :controller =>

'documents', :action => 'show', :id => document ><br

/>

< unless document.description.blank?

><=h(truncate(document.description, 250)) ><br

/>< end >

<br/>

+< unless document.description.blank? ><=

textilize(sanitize(truncate(document.description, 250)))) ><br

/>< end >

<em><= format_time(document.created_on)

%></em></p>

Index: projects/activity.rhtml

=============================================================== ==

--- projects/activity.rhtml     (revision 1104)

++ projects/activity.rhtml     (working copy)

@ -5,7 +5,7 @

<ul>

<% @events_by_day[day].sort {|x,y| y.event_datetime <=>

x.event_datetime }.each do |e| >

<li><p><= format_time(e.event_datetime,

false) > <= link_to truncate(e.event_title, 100), e.event_url

><br />

-    < unless e.event_description.blank? ><em><=

truncate(e.event_description, 500) ></em><br /><

end >

< unless e.event_description.blank? ><em><=

textilize(sanitize(truncate(e.event_description, 500)))

></em><br />< end >

<span class="author"><= e.event_author

if e.respond_to?(:event_author)

></span></p></li>

< end %>

</ul>

2025-05-01 1/2

http://rubyforge.org/tracker/index.php?func=detail&aid=17583&group_id=1850&atid=7160


#3 - 2008-01-29 06:46 - Panta Rhei

new patch including Michael's changes.

this patch changes the description on activities page.

instead of linking the complete comment the author is now

linked. format: link([author]) [time] [revision]

so you have all important informations at a glance.

so much clearer, for me at least.

should only effect repository changes.

this patch supersedes all previous attached and posted patches.

#4 - 2010-05-16 00:44 - Felix Schäfer

- Subject changed from Patch for ticket #17583 to Textilize document snippet on overview and activity page

The snippets are formatted on the document overview, not yet on the activity view though.

#5 - 2011-04-27 11:18 - Etienne Massip

- Category set to Text formatting

#6 - 2017-07-03 16:17 - Mischa The Evil

- Related to Defect #26321: Activity view should not show raw text added

Files

truncate_activity_document.patch 1.68 KB 2008-02-03 Panta Rhei

truncate_activity_document.patch 1.39 KB 2008-02-03 Panta Rhei

truncate_activity_document.patch 1.4 KB 2008-02-03 Panta Rhei

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

http://www.tcpdf.org

